Bug 92903 - Base: text displayed offset in table edit UI listbox dropdown
Summary: Base: text displayed offset in table edit UI listbox dropdown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: Other All
: medium minor
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: needsKDE target:5.1.0 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-24 02:56 UTC by Doug
Modified: 2016-10-25 19:17 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot of rendering problem: see second column, first character (4.05 KB, image/png)
2015-07-24 02:56 UTC, Doug
Details
screenshot again with listbox more clearly visible (27.75 KB, image/png)
2015-07-24 12:28 UTC, Doug
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2015-07-24 02:56:06 UTC
Created attachment 117404 [details]
screenshot of rendering problem:  see second column, first character

In Base 5.0.0.3 KDE OpenSuse 13.2:

1.  Create table in edit mode.
2.  Create column
3.  Iterate to data type, click field to change

UNEXPECTED RESULT:  text from listbox is printed offset one character to the right of the static display of the same listbox entry.  Thus, of the data type "Yes/No", the "Y" remains visible and then the new datatype is printed over the rest with both visible, like "YReal".  See screenshot.  This continues until the datatype is finally selected in which case it resumes the normal appearance.

EXPECTED:  new selection should completely replace old selection and old selection should not be visible.
Comment 1 Alex Thurgood 2015-07-24 07:37:41 UTC
Can not reproduce on 

Version: 5.1.0.0.alpha1+
Build ID: 74d7136325ca00534bbb76351bf79cf43afc8a56
Locale: fr-FR (fr.UTF-8)

OSX 10.10.4

Maybe KDE/Suse specific ?
Comment 2 Katarina Behrens (Inactive) 2015-07-24 08:24:04 UTC
Looks like KDE specific indeed.

Unfortunately I've never really used Base in my whole life :P so I can't really reproduce, as I don't know what 'create table in edit mode' means
Comment 3 Robert Großkopf 2015-07-24 09:56:01 UTC
Can't confirm for OpenSUSE 13.2 64bit rpm Linux and LO Version: 5.0.0.3
Build-ID: f79b5ba13f5e6cbad23f8038060e556217e66632
Gebietsschema: de-DE (de_DE.UTF-8)
KDE: 4.14.9

I don't see any listbox in the screenshot. Seems the listbox itself isn't shown.

Did you activate something like OpenGL? I couldn't test it here, because it seem I can't activate it ...
Comment 4 Doug 2015-07-24 12:28:17 UTC
Created attachment 117418 [details]
screenshot again with listbox more clearly visible

Here is screenshot with listbox more visible.  This is `Table Design` window in Base.

Rendering artifact continues to exist after reboot.  Unchecked `Tools`-->`Options`-->`OpenCL`--> `Allow use of OpenCL` to no change/no improvement.

Linux 3.16.7-21-default
openSUSE 13.2 (Harlequin) (i586)
KDE 4.14.9
Libreoffice Version: 5.0.0.3
Build ID: 00m0(Build:3)
Locale: en-US (en_US.UTF-8)
I do have a number of OpenGL libraries such as `libGLU1` and `libQtOpenGL5`; I do not know if they are being used by LO.
Comment 5 Lionel Elie Mamane 2015-07-24 12:40:07 UTC
Adding Luboš as our KDE FindTheExpert
Comment 6 Buovjaga 2015-07-24 14:19:36 UTC
Tables - Create table in design view
Input col1 and went to cycle through the types.

I can confirm the listbox is offset, but in my case it is only 2 pixels. I can see the left hand of the "T" from Text..

Kubuntu 15.04
LibO from the pre-release ppa with KDE plugin
Version: 5.0.0.3
Build ID: 00m0(Build:3)
Locale: en-US (en_US.UTF-8)
Comment 7 Jan-Marek Glogowski 2015-07-28 16:14:48 UTC
Can you please add the theming engine you're using, so it's easier for me to check the result.
I checked with qtcurve and oxygen and qt default.

I guess it's a regression from http://cgit.freedesktop.org/libreoffice/core/commit/?id=57792314c7b05f71c66834ee47bfaa09003df765 as a partial fix for bug 92115. I guess I'll undo the last hunk of this patch and check with several engines.
Comment 8 Buovjaga 2015-07-28 18:06:08 UTC
(In reply to Jan-Marek Glogowski from comment #7)
> Can you please add the theming engine you're using, so it's easier for me to
> check the result.

It is Breeze in my case.
Comment 9 Jan-Marek Glogowski 2015-07-29 07:29:13 UTC
Hmm - I don't have any KDE5 around. That'll definitly increase my testing efforts.

Do you have a compiled master or libreoffice-5-0 branch and can apply a patch to the KDE4 backend (then you just have to run a "make vcl")?
I would attach it to this bug before pusing it.
Comment 10 Jan-Marek Glogowski 2015-07-29 08:03:04 UTC
Well - my patch for tdf 92115 changed the bug from "having a list box with no text" to "having no correcly drawn list box, but text".

So the current bug is actually, that the list box widget is not drawn, just the text with the focus window. The offset for the text in the list box is actually correct, for my oxygen theme. So the question is: why are other list boxes actually displayed.
Comment 11 Buovjaga 2015-07-29 10:05:28 UTC
Doug, the original reporter, did not have KDE5. See comment 4 and attachment 117418 [details].
Comment 12 Doug 2015-07-29 15:33:09 UTC
For the KDE theme I am using the OpenSuse 13.2 KDE defaults, which I believe is referenced as 'Plasma'.  For widgets maybe 'Plastik' for icons maybe 'Crystal SVG'.  Desktop theme is 'OpenSUSElight' version 0.5.
Comment 13 Commit Notification 2015-07-31 12:43:13 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef126328c3ad35d51395abc461c3d64429f91c26

tdf#92903 KDE4: fix listbox regression from 92115

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-08-05 08:09:15 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4701f6b95d48cc8f253a26d0ed0d9b32d51e6bee&h=libreoffice-5-0

tdf#92903 KDE4: fix listbox regression from 92115

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.